Page MenuHomePhabricator

kafkatee cronspam from oxygen
Closed, ResolvedPublic

Description

Cron Daemon root@oxygen.eqiad.wmnet via wikimedia.org 

to root 
/etc/cron.daily/logrotate:
error: kafkatee:4 unknown user 'syslog'
error: found error in /var/log/kafkatee.log , skipping

Due to: https://github.com/wikimedia/analytics-kafkatee/blob/debian/debian/kafkatee.logrotate

Oxygen does not have a syslog username and rsyslog daemon running. As for varnishkafka, we added logrotate/rsyslog configuration in Debian packaging.

Event Timeline

elukey created this task.Apr 11 2016, 10:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2016, 10:04 AM
elukey triaged this task as Low priority.Apr 13 2016, 10:24 AM

Change 283411 had a related patch set uploaded (by Elukey):
Override kafkatee's default logrotate/rsyslog configuration.

https://gerrit.wikimedia.org/r/283411

Nuria moved this task from Incoming to Radar on the Analytics board.Apr 18 2016, 5:00 PM

Change 283411 merged by Elukey:
Override kafkatee's default logrotate/rsyslog configuration.

https://gerrit.wikimedia.org/r/283411

Change 284635 had a related patch set uploaded (by Elukey):
Add delaycompress to kafkatee's logrotate config to avoid cronspam.

https://gerrit.wikimedia.org/r/284635

Change 284635 merged by Elukey:
Add delaycompress to kafkatee's logrotate config to avoid cronspam.

https://gerrit.wikimedia.org/r/284635

elukey closed this task as Resolved.Apr 21 2016, 8:32 AM
Aklapper edited projects, added Analytics-Radar; removed Analytics.Jun 10 2020, 6:44 AM